### 1.34 `log`, `logf`—natural logarithms

Synopsis

    #include <math.h>
    double log(double x);
    float logf(float x);

Description
Return the natural logarithm of x, that is, its logarithm base e (where e is the base of the natural system of logarithms, 2.71828…). `log` and `logf` are identical save for the return and argument types.

Returns
Normally, returns the calculated value. When x is zero, the returned value is `-HUGE_VAL` and `errno` is set to `ERANGE`. When x is negative, the returned value is NaN (not a number) and `errno` is set to `EDOM`.

Portability
`log` is ANSI. `logf` is an extension.